Loading...
Searching...
No Matches
FileGridMetaData Struct Reference

This class defines the meta data stored for each grid in a segment. More...

`#include <nanovdb/util/IO.h>`

Inheritance diagram for FileGridMetaData:

## Public Member Functions

void | read (std::istream &is)
void | write (std::ostream &os) const
| FileGridMetaData ()
template<typename ValueT>
| FileGridMetaData (uint64_t size, Codec c, const NanoGrid< ValueT > &grid)
uint64_t | memUsage () const

## Public Attributes

std::string | gridName
uint64_t | gridSize
uint64_t | fileSize
uint64_t | nameKey
uint64_t | voxelCount
GridType | gridType
GridClass | gridClass
BBox< Vec3d > | worldBBox
CoordBBox | indexBBox
Vec3d | voxelSize
uint32_t | nameSize
uint32_t | nodeCount [4]
uint32_t | tileCount [3]
Codec | codec
uint16_t | padding
Version | version

## Detailed Description

This class defines the meta data stored for each grid in a segment.

A segment consists of a FileHeader followed by a list of FileGridMetaData each followed by grid names and then finally the grids themselves.

Note
  This class should not be confused with nanovdb::GridMetaData defined in NanoVDB.h Also, FileMetaData is defined in NanoVDB.h.

## Constructor & Destructor Documentation

## FileGridMetaData() [1/2]

FileGridMetaData | ( |  | ) |

inline

## FileGridMetaData() [2/2]

template<typename ValueT>

FileGridMetaData | ( | uint64_t | size,
|  | Codec | c,
|  | const NanoGrid< ValueT > & | grid )

inline

## Member Function Documentation

## memUsage()

uint64_t memUsage | ( |  | ) | const

inline

## read()

void read | ( | std::istream & | is | ) |

inline

## write()

void write | ( | std::ostream & | os | ) | const

inline

## Member Data Documentation

## codec

Codec codec

inherited

## fileSize

uint64_t fileSize

inherited

## gridClass

GridClass gridClass

inherited

## gridName

std::string gridName

## gridSize

uint64_t gridSize

inherited

## gridType

GridType gridType

inherited

## indexBBox

CoordBBox indexBBox

inherited

## nameKey

uint64_t nameKey

inherited

## nameSize

uint32_t nameSize

inherited

## nodeCount

uint32_t nodeCount[4]

inherited

## padding

uint16_t padding

inherited

## tileCount

uint32_t tileCount[3]

inherited

## version

Version version

inherited

## voxelCount

uint64_t voxelCount

inherited

## voxelSize

Vec3d voxelSize

inherited

## worldBBox

BBox<Vec3d> worldBBox

inherited